Loading...
Searching...
No Matches
Opm::VtkScalarFunction< GridView, Mapper > Class Template Reference

Provides a vector-valued function using Dune::FieldVectors as elements. More...

`#include <vtkscalarfunction.hh>`

Inheritance diagram for Opm::VtkScalarFunction< GridView, Mapper >:

## Public Member Functions

| VtkScalarFunction (std::string_view name, const GridView &gridView, const Mapper &mapper, const ScalarBuffer &buf, unsigned codim)
std::string | name () const override
int | ncomps () const override
double | evaluate (int, const Element &e, const Dune::FieldVector< ctype, dim > &xi) const override

## Detailed Description

template<class GridView, class Mapper>
class Opm::VtkScalarFunction< GridView, Mapper >

Provides a vector-valued function using Dune::FieldVectors as elements.

The documentation for this class was generated from the following file:

- opm/models/io/vtkscalarfunction.hh